Subject: bug#22628: Emacs: ^ in installed package list misses some upgrades

From: Alex Kost <[email-masked]>
Date: Fri, 12 Feb 2016 22:29:34 +0300

Ludovic Courtès (2016-02-12 16:49 +0300) wrote:

> Alex Kost <[email-masked]> skribis:
>
>> The fact that we have 2 versions is the answer.  In Emacs UI a package
>> is not considered to be obsolete if there is a package definition with
>> the same name+version.
>>
>> That's why "texinfo 6.0" is green in the list, not red (as obsolete
>> packages).
>
> Oh, to me, ^ meant “upgrade”, like ‘guix package -u’ but only taking
> into account the version number (‘guix package -u’ upgrades if the store
> file name differs, even if the version number is the same.)

OK, you can still mark it for upgrading using "U" key.  If you don't mind
I wouldn't like to change the current behavior (at least now) :-)

>> I believe marking such packages as obsolete is not correct and it may be
>> confusing.  See <https://gnunet.org/bot/log/guix/2016-02-09#T909651>.
>
> I think we need a different solution for packages that have several
> series.  For instance, we could have:
>
>   (define gnupg-2.0
>     (package …
>       (properties `((series . "2.0")))))
>
> and that would lead the various UIs to upgrade only to a package whose
> version prefix is “2.0”.
>
> WDYT?

Yeah, this looks like a great solution for such issues!

-- 
Alex